psimi25Interactor-class {RpsiXML} | R Documentation

## A class representing interactor from PSI-MI 2.5 XML files

### Description

A class representing interactor from PSI-MI 2.5 XML files

### Slots

`sourceDb`:
  Object of class `"character"`, source database
`sourceId`:
  Object of class `"character"`, ID of the source database
`shortLabel`:
  Object of class `"character"`, short label of the interactor, if not available the slot will be filled with "fullName" node of the file
`uniprotId`:
  Object of class `"character"`, UniProt ID of the interactor
`organismName`:
  Object of class `"character"`, the unique name of the organism name
`taxId`:
  Object of class `"character"`, the NCBI taxonomy ID

### Methods

show
  `signature(x = "psimi25Interactor")`: a print method
sourceDb
  `signature(x = "psimi25Interactor")`: finds out source database
sourceId
  `signature(x = "psimi25Interactor")`: returns ID of the source database

### Author(s)

Jitao David Zhang <j.zhang@dkfz.de>

### See Also

`parseInteractor`

### Examples

    showClass("psimi25Interactor")

[Package RpsiXML version 1.0.0 Index]